cc.funkemunky.api.utils.math

## Class RollingAverageLong

- java.lang.Object
- - cc.funkemunky.api.utils.math.RollingAverageLong

    public class RollingAverageLong
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RollingAverageLong(int size, long initial)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(long value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RollingAverageLong

    public RollingAverageLong(int size,
                              long initial)

### Method Detail

#### add

    public void add(long value)